#!/bin/sh
kdedir=$KDEDIR
if ! test -n "$KDEDIR";then
   kdedir="/opt/kde3"
fi
kdehome=$KDEHOME
if ! test -n "$KDEHOME" ;then
   kdehome="~/.kde"
fi

echo "===================================================================="
echo "   This script installs the MySQL documentaion for Quanta+ into the "
echo " global ($kdedir/share/apps/quanta/doc/mysql) or"
echo " local  ($kdehome/share/apps/quanta/doc/mysql) documentation"
echo " directory, depending if root or a regular user runs the script."
echo "===================================================================="
echo

if  [ `id -u` = 0 ]; then

  kde_dir="/opt/kde2"

  if test -n "$KDEDIR";then
    kde_dir="$KDEDIR"
  fi
else

  kde_dir=~/.kde
  
  if test -n "$KDEHOME" ;then
    kde_dir="$KDEHOME"
  fi
fi

echo "Install dir [${kde_dir}/share/apps/quanta/doc]:"
read newdir
if [ "$newdir"a = a ]; then newdir="${kde_dir}/share/apps/quanta/doc"; fi
echo "$newdir"
if ! test -d "$newdir"
then 
 mkdir $newdir
fi
cp -R mysql mysql.docrc "$newdir" && echo "done"
